#!/bin/sh

OLD_CRON=$(cat /etc/crontab | grep tempkiteconfig.sh)
if [[ -z "$OLD_CRON" ]]; then
    exit 0
fi

MINUTE=$(echo $OLD_CRON | cut -d ' ' -f 1)
HOUR=$(echo $OLD_CRON | cut -d ' ' -f 2)
DAY_OF_MONTH=$(echo $OLD_CRON | cut -d ' ' -f 3)
MONTH=$(echo $OLD_CRON | cut -d ' ' -f 4)

NOW=$(date +"%M %k %d %m")
MINUTE_NOW=$(echo $NOW | cut -d ' ' -f 1)
HOUR_NOW=$(echo $NOW | cut -d ' ' -f 2)
DAY_OF_MONTH_NOW=$(echo $NOW | cut -d ' ' -f 3)
MONTH_NOW=$(echo $NOW | cut -d ' ' -f 4)

if [[ $MONTH_NOW -gt $MONTH ]]; then
    /www/pages/cgi-bin/tempkiteconfig.sh off
    exit 0
elif [[ $MONTH_NOW -lt $MONTH ]]; then
    exit 0
fi

if [[ $DAY_OF_MONTH_NOW -gt $DAY_OF_MONTH ]]; then
    /www/pages/cgi-bin/tempkiteconfig.sh off
    exit 0
elif [[ $DAY_OF_MONTH_NOW -lt $DAY_OF_MONTH ]]; then
    exit 0
fi

if [[ $HOUR_NOW -gt $HOUR ]]; then
    /www/pages/cgi-bin/tempkiteconfig.sh off
    exit 0
elif [[ $HOUR_NOW -lt $HOUR ]]; then
    exit 0
fi

if [[ $MINUTE_NOW -gt $MINUTE ]]; then
    /www/pages/cgi-bin/tempkiteconfig.sh off
    exit 0
fi

exit 0
